public class TavolaPitagorica  {

  static int chiediDimensioneTavola() {
    // Richiede l'inserimento di un valore
    String num = javax.swing.JOptionPane.showInputDialog(null,"Inserisci un numero tra 10 e 100");
    // trasforma l'input in un valore numerico
    int n = Integer.parseInt(num);
    
    if(n < 10)  // verifica il rispetto del limite inferiore
      n = 10;
    if(n > 100) // verifica il rispetto del limite superiore
      n = 100;
    
    return n+1; // restituisce il valore maggiorato di 1
  }
  static int[][] creaTavolaPitagorica(int dim) {
    int[][] t = new int[dim][dim]; // crea un vettore bidimensionale
    
    for ( int i = 0; i < dim; i++)
      for ( int j = 0; j < dim; j++)
        t[i][j] = i * j;           // assegna ad ogni elemento il suo valore
        
    return t;
  }
  static void stampaTavolaPitagorica(int[][] t) {
    System.out.print("Tavola Pitagorica del ");
    System.out.println(t.length);
   
    for ( int i = 0; i < t.length; i++) {
      for ( int j = 0; j < t.length; j++) {
        System.out.print(t[i][j]);
        System.out.print("\t");
      }
      System.out.println();
    }  
  }
  public static void main(String argv[]) {
    int dim = chiediDimensioneTavola();
    int[][] tabellina = creaTavolaPitagorica(dim);
    stampaTavolaPitagorica(tabellina);
  }
}